Bug 189081 - editors/openoffice-4 fails to build - complains over source file not present
Summary: editors/openoffice-4 fails to build - complains over source file not present
Status: Closed Overcome By Events
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: FreeBSD Office Team
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-04-28 18:10 UTC by Per olof Ljungmark
Modified: 2014-08-26 05:46 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Per olof Ljungmark 2014-04-28 18:10:00 UTC
Despite the sources being present in /usr/ports/distfiles/openoffice
ls /usr/ports/distfiles/openoffice
apache-openoffice-4.0.1-r1524958-src.tar.bz2            apache-openoffice-4.0.1-r1524958-src.tar.bz2.sha256
apache-openoffice-4.0.1-r1524958-src.tar.bz2.md5        unowinreg.dll

the build fails:
make extract
===>  License APACHE20 accepted by the user
===>  Found saved configuration for apache-openoffice-4.0.1
===>   apache-openoffice-4.0.1_3 depends on file: /usr/local/sbin/pkg - found
OPTIONS:

You can select the language for OOo by making it with:
make LOCALIZED_LANG=xx
while xx can be one of the following
af ar as-IN be-BY bg br bn bn-BD bn-IN bs ca cs cy da
de dz el en-GB en-US en-ZA eo es et eu fa fi fr ga gl
gu-IN he hi-IN hr hu it ja ka km kn ko ku lo lt lv mk
ms ml-IN mr-IN ne nb nl nn nr ns oc or-IN pa-IN pl pt
pt-BR ru rw sk sl sh sr ss st sv sw sw-TZ te-IN ti-ER
ta-IN th tn tr ts tg ur-IN uk uz ve vi xh zh-CN zh-TW
zu
Current setting: en-US

NOTICE:

To build OOo, you should have a lot
of free diskspace (~ 11GB) and memory (~ 2GB).
If you want SDK and/or solver, please type make sdk and/or make solver
=> ApacheOpenOffice.ext_sources.4.0.1.r1524958.tar.bz2 doesn't seem to exist in /usr/ports/distfiles/openoffice.
=> Attempting to fetch ftp://ftp.cn.FreeBSD.org/pub/FreeBSD/ports/local-distfiles/maho/openoffice/ApacheOpenOffice.ext_sources.4.0.1.r1524958.tar.bz2
fetch: ftp://ftp.cn.FreeBSD.org/pub/FreeBSD/ports/local-distfiles/maho/openoffice/ApacheOpenOffice.ext_sources.4.0.1.r1524958.tar.bz2: File unavailable (e.g., file not found, no access)
=> Attempting to fetch ftp://ftp.FreeBSD.org/pub/FreeBSD/ports/distfiles/openoffice/ApacheOpenOffice.ext_sources.4.0.1.r1524958.tar.bz2
fetch: ftp://ftp.FreeBSD.org/pub/FreeBSD/ports/distfiles/openoffice/ApacheOpenOffice.ext_sources.4.0.1.r1524958.tar.bz2: File unavailable (e.g., file not found, no access)
=> Couldn't fetch it - please try to retrieve this
=> port manually into /usr/ports/distfiles/openoffice and try again.
*** [do-fetch] Error code 1

Fix: 

-
How-To-Repeat: Try till install openoffice-4 from ports
Comment 1 Per olof Ljungmark 2014-04-28 19:28:02 UTC
Hmmm, if I deleted what was in /usr/ports/distfiles/openoffice the file 
is fetched from apache.org.

Not sure what was going on, same name, same size. This PR can probably 
be closed.

-- 
Intersonic AB, Solna, Sweden
SE556539368201
Comment 2 Per olof Ljungmark 2014-04-28 19:29:47 UTC
Well, it was not as good as I thought. Do we need to fetch the sources 
twice?

make extract
===>  License APACHE20 accepted by the user
===>  Found saved configuration for apache-openoffice-4.0.1
===>   apache-openoffice-4.0.1_3 depends on file: /usr/local/sbin/pkg - 
found
OPTIONS:

You can select the language for OOo by making it with:
make LOCALIZED_LANG=xx
while xx can be one of the following
af ar as-IN be-BY bg br bn bn-BD bn-IN bs ca cs cy da
de dz el en-GB en-US en-ZA eo es et eu fa fi fr ga gl
gu-IN he hi-IN hr hu it ja ka km kn ko ku lo lt lv mk
ms ml-IN mr-IN ne nb nl nn nr ns oc or-IN pa-IN pl pt
pt-BR ru rw sk sl sh sr ss st sv sw sw-TZ te-IN ti-ER
ta-IN th tn tr ts tg ur-IN uk uz ve vi xh zh-CN zh-TW
zu
Current setting: en-US

NOTICE:

To build OOo, you should have a lot
of free diskspace (~ 11GB) and memory (~ 2GB).
If you want SDK and/or solver, please type make sdk and/or make solver
=> apache-openoffice-4.0.1-r1524958-src.tar.bz2 doesn't seem to exist in 
/usr/ports/distfiles/openoffice.
=> Attempting to fetch 
http://www.apache.org/dist/openoffice/4.0.1/source/apache-openoffice-4.0.1-r1524958-src.tar.bz2
apache-openoffice-4.0.1-r1524958-src.tar.bz2  100% of  204 MB 1228 kBps 
02m51s
=> unowinreg.dll doesn't seem to exist in /usr/ports/distfiles/openoffice.
=> Attempting to fetch 
http://www.apache.org/dist/openoffice/4.0.1/source/unowinreg.dll
fetch: http://www.apache.org/dist/openoffice/4.0.1/source/unowinreg.dll: 
Not Found
=> Attempting to fetch 
ftp://ftp.riken.jp/net/apache/openoffice/4.0.1/source/unowinreg.dll
fetch: 
ftp://ftp.riken.jp/net/apache/openoffice/4.0.1/source/unowinreg.dll: 
File unavailable (e.g., file not found, no access)
=> Attempting to fetch 
http://ftp.FreeBSD.org/pub/FreeBSD/ports/local-distfiles/maho/openoffice/unowinreg.dll
unowinreg.dll                                 100% of 6144  B   68 kBps 
00m00s
=> ApacheOpenOffice.ext_sources.4.0.1.r1524958.tar.bz2 doesn't seem to 
exist in /usr/ports/distfiles/openoffice.
=> Attempting to fetch 
ftp://ftp.cn.FreeBSD.org/pub/FreeBSD/ports/local-distfiles/maho/openoffice/ApacheOpenOffice.ext_sources.4.0.1.r1524958.tar.bz2
fetch: 
ftp://ftp.cn.FreeBSD.org/pub/FreeBSD/ports/local-distfiles/maho/openoffice/ApacheOpenOffice.ext_sources.4.0.1.r1524958.tar.bz2: 
File unavailable (e.g., file not found, no access)
=> Attempting to fetch 
ftp://ftp.FreeBSD.org/pub/FreeBSD/ports/distfiles/openoffice/ApacheOpenOffice.ext_sources.4.0.1.r1524958.tar.bz2
fetch: 
ftp://ftp.FreeBSD.org/pub/FreeBSD/ports/distfiles/openoffice/ApacheOpenOffice.ext_sources.4.0.1.r1524958.tar.bz2: 
File unavailable (e.g., file not found, no access)
=> Couldn't fetch it - please try to retrieve this
=> port manually into /usr/ports/distfiles/openoffice and try again.
*** [do-fetch] Error code 1


-- 
Intersonic AB, Solna, Sweden
SE556539368201
Comment 3 Mark Linimon freebsd_committer freebsd_triage 2014-04-29 02:16:58 UTC
State Changed
From-To: open->closed

Closed at submitter's request.
Comment 4 Per olof Ljungmark 2014-04-29 14:54:07 UTC
Well, it was not as good as I thought. Do we need to fetch the sources 
twice?

Can I request the PR to be reopened? Thank you!

make extract
===>  License APACHE20 accepted by the user
===>  Found saved configuration for apache-openoffice-4.0.1
===>   apache-openoffice-4.0.1_3 depends on file: /usr/local/sbin/pkg - 
found
OPTIONS:

You can select the language for OOo by making it with:
make LOCALIZED_LANG=xx
while xx can be one of the following
af ar as-IN be-BY bg br bn bn-BD bn-IN bs ca cs cy da
de dz el en-GB en-US en-ZA eo es et eu fa fi fr ga gl
gu-IN he hi-IN hr hu it ja ka km kn ko ku lo lt lv mk
ms ml-IN mr-IN ne nb nl nn nr ns oc or-IN pa-IN pl pt
pt-BR ru rw sk sl sh sr ss st sv sw sw-TZ te-IN ti-ER
ta-IN th tn tr ts tg ur-IN uk uz ve vi xh zh-CN zh-TW
zu
Current setting: en-US

NOTICE:

To build OOo, you should have a lot
of free diskspace (~ 11GB) and memory (~ 2GB).
If you want SDK and/or solver, please type make sdk and/or make solver
=> apache-openoffice-4.0.1-r1524958-src.tar.bz2 doesn't seem to exist in 
/usr/ports/distfiles/openoffice.
=> Attempting to fetch 
http://www.apache.org/dist/openoffice/4.0.1/source/apache-openoffice-4.0.1-r1524958-src.tar.bz2
apache-openoffice-4.0.1-r1524958-src.tar.bz2  100% of  204 MB 1228 kBps 
02m51s
=> unowinreg.dll doesn't seem to exist in /usr/ports/distfiles/openoffice.
=> Attempting to fetch 
http://www.apache.org/dist/openoffice/4.0.1/source/unowinreg.dll
fetch: http://www.apache.org/dist/openoffice/4.0.1/source/unowinreg.dll: 
Not Found
=> Attempting to fetch 
ftp://ftp.riken.jp/net/apache/openoffice/4.0.1/source/unowinreg.dll
fetch: 
ftp://ftp.riken.jp/net/apache/openoffice/4.0.1/source/unowinreg.dll: 
File unavailable (e.g., file not found, no access)
=> Attempting to fetch 
http://ftp.FreeBSD.org/pub/FreeBSD/ports/local-distfiles/maho/openoffice/unowinreg.dll
unowinreg.dll                                 100% of 6144  B   68 kBps 
00m00s
=> ApacheOpenOffice.ext_sources.4.0.1.r1524958.tar.bz2 doesn't seem to 
exist in /usr/ports/distfiles/openoffice.
=> Attempting to fetch 
ftp://ftp.cn.FreeBSD.org/pub/FreeBSD/ports/local-distfiles/maho/openoffice/ApacheOpenOffice.ext_sources.4.0.1.r1524958.tar.bz2
fetch: 
ftp://ftp.cn.FreeBSD.org/pub/FreeBSD/ports/local-distfiles/maho/openoffice/ApacheOpenOffice.ext_sources.4.0.1.r1524958.tar.bz2: 
File unavailable (e.g., file not found, no access)
=> Attempting to fetch 
ftp://ftp.FreeBSD.org/pub/FreeBSD/ports/distfiles/openoffice/ApacheOpenOffice.ext_sources.4.0.1.r1524958.tar.bz2
fetch: 
ftp://ftp.FreeBSD.org/pub/FreeBSD/ports/distfiles/openoffice/ApacheOpenOffice.ext_sources.4.0.1.r1524958.tar.bz2: 
File unavailable (e.g., file not found, no access)
=> Couldn't fetch it - please try to retrieve this
=> port manually into /usr/ports/distfiles/openoffice and try again.
*** [do-fetch] Error code 1
Comment 5 Mark Linimon freebsd_committer freebsd_triage 2014-04-29 16:36:53 UTC
State Changed
From-To: closed->open

re-open at submitter's request.
Comment 6 Per olof Ljungmark 2014-04-30 17:42:35 UTC
Because openoffice-devel builds and installs fine here I will not dive
further into this. Looks like oo 4.1 is nearing release and this might
be a good time for maintainer to sort the above.

Nevertheless it would be great to hear from him/her.
Comment 7 Mark Linimon freebsd_committer freebsd_triage 2014-05-04 03:18:30 UTC
Responsible Changed
From-To: freebsd-ports-bugs->office

Over to maintainer(s).
Comment 8 Baptiste Daroussin freebsd_committer 2014-08-26 05:46:15 UTC
New version has landed which seems to build properly everywhere